Loading...
Searching...
No Matches
ID3D12CommandListVtbl Struct Reference

`#include <mini_d3d12.h>`

## Public Member Functions

| BEGIN_INTERFACE (ID3D12CommandList *This, REFIID riid, _COM_Outptr_ void **ppvObject)
ID3D12CommandList _In_ REFGUID _In_ UINT | _In_reads_bytes_opt_ (DataSize) const void *pData)

## Public Attributes

ID3D12CommandList * | This
ID3D12CommandList _In_ REFGUID | guid
ID3D12CommandList _In_ REFGUID _Inout_ UINT * | pDataSize
ID3D12CommandList _In_ REFGUID _Inout_ UINT _Out_writes_bytes_opt_ pDataSize void * | pData
ID3D12CommandList _In_ REFGUID _In_ UINT | DataSize
ID3D12CommandList _In_ REFGUID _In_opt_ const IUnknown * | pData
ID3D12CommandList _In_z_ LPCWSTR | Name
ID3D12CommandList REFIID | riid
ID3D12CommandList REFIID _COM_Outptr_opt_ void ** | ppvDevice

## Detailed Description

Definition at line 3431 of file mini_d3d12.h.

## Member Function Documentation

## BEGIN_INTERFACE()

ID3D12CommandListVtbl::BEGIN_INTERFACE | ( | ID3D12CommandList * | This,
|  | REFIID | riid,
|  | _COM_Outptr_ void ** | ppvObject )

References _COM_Outptr_, BEGIN_INTERFACE(), REFIID, riid, STDMETHODCALLTYPE, and This.

Referenced by BEGIN_INTERFACE().

## _In_reads_bytes_opt_()

ID3D12CommandList _In_ REFGUID _In_ UINT ID3D12CommandListVtbl::_In_reads_bytes_opt_ | ( | DataSize |  | ) | const

References _In_, DataSize, guid, pData, REFGUID, STDMETHODCALLTYPE, and This.

## Member Data Documentation

## This

ID3D12CommandList * ID3D12CommandListVtbl::This

Definition at line 3442 of file mini_d3d12.h.

Referenced by _In_reads_bytes_opt_(), and BEGIN_INTERFACE().

## guid

ID3D12CommandList _In_ REFGUID ID3D12CommandListVtbl::guid

Definition at line 3451 of file mini_d3d12.h.

Referenced by _In_reads_bytes_opt_().

## pDataSize

ID3D12CommandList _In_ REFGUID _Inout_ UINT* ID3D12CommandListVtbl::pDataSize

Definition at line 3452 of file mini_d3d12.h.

## pData [1/2]

ID3D12CommandList _In_ REFGUID _Inout_ UINT _Out_writes_bytes_opt_ pDataSize void* ID3D12CommandListVtbl::pData

Definition at line 3453 of file mini_d3d12.h.

Referenced by _In_reads_bytes_opt_().

## DataSize

ID3D12CommandList _In_ REFGUID _In_ UINT ID3D12CommandListVtbl::DataSize

Definition at line 3459 of file mini_d3d12.h.

Referenced by _In_reads_bytes_opt_().

## pData [2/2]

ID3D12CommandList _In_ REFGUID _In_opt_ const IUnknown* ID3D12CommandListVtbl::pData

Definition at line 3466 of file mini_d3d12.h.

## Name

ID3D12CommandList _In_z_ LPCWSTR ID3D12CommandListVtbl::Name

Definition at line 3471 of file mini_d3d12.h.

## riid

ID3D12CommandList REFIID ID3D12CommandListVtbl::riid

Definition at line 3476 of file mini_d3d12.h.

Referenced by BEGIN_INTERFACE().

## ppvDevice

ID3D12CommandList REFIID _COM_Outptr_opt_ void** ID3D12CommandListVtbl::ppvDevice

Definition at line 3477 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h